<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");



## mysql verbindung aufbauen

db_connect($db_host, $db_user, $db_pass);

## /mysql verbindung aufbauen



## überprüfen, ob anbieter existiert

$anbieter = strtolower($anbieter);

if(!$anbieter) {
	db_close();	
	include("anbieter_aendern_liste.php");
	exit();
}

$id = safe_query( "select anbieter from anbieter where anbieter = ? ", TRUE, new SQLString( $anbieter ) );

$zeilen = db_num_rows($id);



if ($zeilen <> 1)

        {

         $fehlertext = ltext("anaefw_error1");

         db_close();

         include("anbieter_aendern.php");

         exit();

        }

## /überprüfen, ob anbieter existiert



if ($aktion == "personendaten")

        {

         db_close();

         include("anbieter_aendern_personendaten.php");

        }

elseif ($aktion == "leistungen")

        {

         db_close();

         include("anbieter_aendern_leistungen.php");

        }

elseif ($aktion == "ips")

        {

         db_close();

         include("anbieter_aendern_ips.php");

        }

elseif ($aktion == "passwort")

        {

         db_close();

         include("anbieter_aendern_pw.php");

        }

elseif ($aktion == "dns")

        {

         db_close();

         include("anbieter_aendern_dns.php");

        }

elseif        ($aktion == "loeschen")

        {

         $id = safe_query( "select kunde from kunden where anbieter = ? ", TRUE, new SQLString( $anbieter ) );

         $zeilen = db_num_rows($id);

         if ($zeilen > 0)

                {

                 $fehlertext = ltext("anaefw_error2",array($zeilen));

                 db_close();

                 include("anbieter_aendern.php");

                 exit();

                } else

                {

                 db_close();

                 include("anbieter_aendern_loeschen.php");

                 exit();

                }

        }

elseif ($aktion == "sperren")

        {

         db_close();

         include("anbieter_aendern_sperren.php");

         exit();

        }

else

        {

         $fehlertext = ltext("anaefw_error3");

         db_close();

         include("anbieter_aendern.php");

         exit();

        }

?>
